%if "%{?rhel}" == "6" 
%global _jarsign_opts --unsign=%{_javadir} 
%endif


%define section .Final
%define reltag _redhat_2
%define namedreltag -redhat-2
%global namedversion  %{version}%{?section}%{?namedreltag}

%bcond_without mead
%define _jarsign_opts --copy=%{_javadir} --unsign=%{_javadir}

%define maven_version 2.0.8.Final-redhat-2

Name:           jboss-security-xacml
Version:        2.0.8
Release:        5%{?section}%{?reltag}%{?dist}
Epoch:          0
Summary:        JBoss Security XACML
License:        LGPLv2+
Group:          Development/Java

%if %with mead
Source100: org.jboss.security-jboss-xacml-main-2.0.8.Final-redhat-2-sources.zip
Source101: org.jboss.security-jboss-xacml-main-2.0.8.Final-redhat-2-patches.zip
Source102: jbossxacml-2.0.8.Final-redhat-2.pom
Source103: jbossxacml-2.0.8.Final-redhat-2-sources.jar
Source104: jbossxacml-2.0.8.Final-redhat-2.jar
Source105: jboss-xacml-project-2.0.8.Final-redhat-2.pom
Source106: jboss-xacml-main-2.0.8.Final-redhat-2.pom
Source107: jboss-xacml-2.0.8.Final-redhat-2-sources.jar
Source108: jboss-xacml-2.0.8.Final-redhat-2.pom
Source109: jboss-xacml-2.0.8.Final-redhat-2.jar
Source110: jboss-sunxacml-2.0.8.Final-redhat-2.pom
Source111: jboss-sunxacml-2.0.8.Final-redhat-2.jar
Source112: jboss-sunxacml-2.0.8.Final-redhat-2-sources.jar
%endif

URL:            http://www.jboss.org/


BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch

BuildRequires: unzip

Requires:       jpackage-utils
Requires(post):       jpackage-utils
Requires(postun):     jpackage-utils

%description
JBoss Security XACML.

%if 0
%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

Requires:       jpackage-utils

%description javadoc
Javadoc for %{name}
%endif

%prep
                                                                                                     
%build
                                                                                                     
%install
rm -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_javadir}
#install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}

for artifactId in \
                  jboss-xacml-main \
                  jboss-xacml-project \
                  jbossxacml \
                  jboss-sunxacml \
                  jboss-xacml \
              ; do
#poms
%add_to_maven_depmap org.jboss.security ${artifactId} %{namedversion} JPP ${artifactId}
install -pD -T -m 644 %{_sourcedir}/${artifactId}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-${artifactId}.pom

#jars
if [ -e %{_sourcedir}/${artifactId}-%{namedversion}.jar ]; then
  install -pD -T -m 644 %{_sourcedir}/${artifactId}-%{namedversion}.jar %{buildroot}%{_javadir}/${artifactId}-%{namedversion}.jar
  (cd %{buildroot}%{_javadir} && ln -s ${artifactId}-%{namedversion}.jar ${artifactId}.jar)
fi

if [ -e %{_sourcedir}/${artifactId}-%{namedversion}-sources.jar ]; then
  install -pD -T -m 644 %{_sourcedir}/${artifactId}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/${artifactId}-%{namedversion}-sources.jar
  (cd %{buildroot}%{_javadir} && ln -s ${artifactId}-%{namedversion}-sources.jar ${artifactId}-sources.jar)
fi


%if 0
#javadoc
if [ -e %{_sourcedir}/${artifactId}-%{namedversion}-javadoc.jar ]; then
  install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}/${artifactId}-%{namedversion}
  unzip -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}/${artifactId}-%{namedversion} %{_sourcedir}/${artifactId}-%{namedversion}-javadoc.jar
  rm -rf $RPM_BUILD_ROOT%{_javadocdir}/%{name}/${artifactId}-%{namedversion}/META-INF
  (cd %{buildroot}%{_javadocdir}/%{name} && ln -s ${artifactId}-%{namedversion} ${artifactId})
fi
%endif

done

%clean
rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap
                                                                                                     
%files
%defattr(0644,root,root,0755)
%{_javadir}*/*jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%if 0
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}
%endif


%changelog
* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.8-5.Final_redhat_2
- Rebuild for MD5

* Mon Aug 20 2012 Honza Brazdil <jbrazdil@redhat.com> - 0:2.0.8-3.Final_redhat_2.2
- Update pom patch for eap 6.0.1

* Sun Aug 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.8-3.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.8-3.Final_redhat_1.1
- Rebuild using cache signing

* Wed May 23 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.8-3.Final_redhat_1
- Remove javadoc subpackage and JAR from the SRPM

* Wed May 02 2012 Lin Gao <lgao@redhat.com> - 0:2.0.8-1.Final_redhat_1
- Upgrade to 2.0.8.Final

* Fri Mar 16 2012 Lin Gao <lgao@redhat.com> - 0:2.0.7-2.Final_redhat_1
- Use new wrapper
- Change jars install path

* Fri Feb 17 2012 Lin Gao <lgao@redhat.com> - 0:2.0.7-1.Final_redhat_1
- Upgrade to 2.0.7.Final
- Remove META-INF from javadoc
- Require jpackage-utils in javadoc

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 0:2.0.6-3.Final_redhat_1
- Rebuild to use new signing key

* Tue Jan 31 2012 Lin Gao <lgao@redhat.com> - 0:2.0.6-2.Final_redhat_1
- fix pom to use new BOMS
- switch to rhpkg build
- fill spec file for rpm build from mead build
- clean build

* Wed Oct 26 2011 Lin Gao <lgao@redhat.com> - 0:2.0.6-1
- upgrade to 2.0.6.Final

* Wed Aug 24 2011 Lin Gao <lgao@redhat.com> - 0:2.0.5-5
- wolf build

* Thu Aug 4 2011 Lin Gao <lgao@redhat.com> - 0:2.0.5-4
- build with mead

* Fri Dec 10 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.0.5-3
- Remove R: codehaus-stax11, jaf_1_1_api, jaxb_2_1_api, stax_1_0_api, glassfish-jaxb, servlet_2_5_api, xalan-j2, xerces-j2

* Fri Dec 10 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.0.5-2
- Build with maven 2.2.1
- Change BR maven-release to maven-release-plugin
- Add BR maven-deploy-plugin, maven-site-plugin

* Thu Oct 14 2010 Yiqiao Wang <yiwang@redhat.com> - 0:2.0.5-1
- Upgrade to 2.0.5
- Change BR: maven-surefire-provider-junit to maven-surefire-provider-junit4, add its depmap entry
- Change BR: junit to junit4, change its depmap entry
- Add BR: hsqldb, add depmap entry

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.0.4-4.1.1
- rebuilt

* Mon Apr 19 2010 Yiqiao Wang <yiwang@redhat.com> 0:2.0.4-4.1
- Rebuild

* Fri Sep 18 2009 David Walluck <dwalluck@redhat.com> 0:2.0.4-4
- properly build and install jbossxacml
- add all sources jars
- install all jars and poms to repolib

* Thu Aug 13 2009 Permaine Cheung <pcheung@redhat.com> 0:2.0.4-3
- Fix component-info.xml

* Thu Aug 13 2009 Permaine Cheung <pcheung@redhat.com> 0:2.0.4-2
- Add sources.jar

* Wed Aug 12 2009 Permaine Cheung <pcheung@redhat.com> 0:2.0.4-1
- Upgrade to 2.0.4
- Fix repodir

* Mon Jul 27 2009 Yong Yang <yyang@redhat.com> 0:2.0.3.SP2-2
- Combine jboss-sunxacml.jar and jboss-xacml.jar to repolib/jbossxacml.jar

* Thu Jul 16 2009 Yong Yang <yyang@redhat.com> 0:2.0.3.SP2-1
- Switch to 2.0.3.SP2

* Mon Jul 13 2009 David Walluck <dwalluck@redhat.com> 0:2.0.3-4
- update (Build)Requires

* Mon Jul 13 2009 David Walluck <dwalluck@redhat.com> 0:2.0.3-3
- fix component-info.xml

* Mon Jul 13 2009 David Walluck <dwalluck@redhat.com> 0:2.0.3-2
- fix sources

* Wed Jul 01 2009 David Walluck <dwalluck@redhat.com> 0:2.0.3-1
- 2.0.3
- add repolib
- use glassfish-jaxb

* Tue Jun 16 2009 Ralph Apel <r.apel@r-apel.de> - 0:2.0.3-0.CR5.1.jpp5
- 2.0.3.CR5 

* Fri Jun 05 2009 Ralph Apel <r.apel@r-apel.de> - 0:2.0.2.1-1.jpp5
- 2.0.2.SP1
